#766 \cite autocomplete VERY slow when using Bibtex exported from Zotero

None
fixed
nobody
None
1
2013-11-28
2013-07-15
No

I use Zotero to manage my library of articles. I export my library as a Bibtex and use this in TexStudio. The problem is that the autocomplete for \cite{ is very very slow. I assume this is because Zotero exports a bunch of non-essential keys, such as a full abstract. Unfortunately, there is no way to control what is exported in Zotero. I has attached a sample .bib file which is slowing TexStudio down to a grinding halt.

Related

Bugs: #766

Discussion

  • Lars Buchhave

    Lars Buchhave - 2013-07-15

    Bibtex sample file

     
    Attachments
  • Tim Hoffmann

    Tim Hoffmann - 2013-07-15

    I cannot really reproduce the slowness. The only time it is a bit slow is when I scroll down the autocomplete list using arrow keys and have the ToolTip Help enabled. Please describe exactly what you do and what does (not) happen.

     
  • Lars Buchhave

    Lars Buchhave - 2013-07-18

    Tim,

    Thanks for taking a look at this. I tried to reproduce the problem again today, but I was not able to either. I cannot explain why. When I had the problem, TeXstudio used all the CPU power and ran extremely slowly. But now, the problem seems to be gone. Sorry about bothering you with the problem.

     
  • headphones54321

    headphones54321 - 2013-07-18

    I am also using zotero for my to create my .bib files, and am having issues. I don't know if they are related to zotero - I think not - but they might be.

    The issue is that when I export the citations from zotero, TeXstudio not only does not update the autocomplete list, but seems to lose track of the bibliography all together. It does not show the content of the .bib file, even when it is opened directly...

    If I wait 5 min or so, clean aux files, and recompile, the auto complete list gets updated. The totally crazy behaviour though, is that when I open the .bib file in TeXstudio it is empty, save one line break. If I open the same file in gedit, all the info is there. Where is TS looking for the content of this file? If I completely restart TS, then open the .bib file, it sees the content.

    I have attached a screen shot, TeXstudio on the left, gedit on the right. Both of the same file, accessed via File->Open.

    Let me know if I can help with figuring this out.

    TeXstudio v2.6.2, 64bit on Ubuntu 12.10

     
  • Gabriel Devenyi

    Gabriel Devenyi - 2013-08-02

    I have a very big bibfile, generated from mendeley, https://github.com/gdevenyi/phd_thesis/blob/master/library.bib that makes the \cite command run very slow if I check "Parse BibTeX", if I leave that unchecked the problem goes away.

    My guess is that the bibtex file is being re-read on every \cite operation, rather than when the file changes?

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-08-03

    don't see any speed problems with "library.bib" either.
    Parsing is not done during completion.

     
    Last edit: Jan Sundermeyer 2013-08-03
  • Jeand

    Jeand - 2013-08-05

    I seem to have this issue too, with a not so large bib file. (Around 20 entries).
    The program halts, 100 % CPU usage, on when I write the first letter inside the bracket of the cite command.
    As mentioned by others, disabling "Parse BibTeX" removes the issue.

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-08-26
    • status: open --> fixed
    • Group: -->
     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2013-08-26

    should be fixed

     
  • Dahaniel

    Dahaniel - 2013-11-28

    Not fixed for me...
    TeXstudio 2.6.6
    Ubuntu 13.04, 64bit

    disabling parsing prevents the hangs.

     
    • Jan  Sundermeyer

      Jan Sundermeyer - 2013-11-28

      fixed in repository

      On 28.11.2013 21:58, Dahaniel wrote:

      Not fixed for me...
      TeXstudio 2.6.6
      Ubuntu 13.04, 64bit

      disabling parsing prevents the hangs.


      [bugs:#766] http://sourceforge.net/p/texstudio/bugs/766/ \cite
      autocomplete VERY slow when using Bibtex exported from Zotero

      Status: fixed
      Created: Mon Jul 15, 2013 01:11 PM UTC by Lars Buchhave
      Last Updated: Mon Aug 26, 2013 08:27 PM UTC
      Owner: nobody

      I use Zotero to manage my library of articles. I export my library as a
      Bibtex and use this in TexStudio. The problem is that the autocomplete
      for \cite{ is very very slow. I assume this is because Zotero exports a
      bunch of non-essential keys, such as a full abstract. Unfortunately,
      there is no way to control what is exported in Zotero. I has attached a
      sample .bib file which is slowing TexStudio down to a grinding halt.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/766/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #766

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks